<?PHP
	#.htgenerateCertificate.inc.php
	#This is a set of routines for generating certificates.
	#Their general form will be osbrfunction() where os and br are the operating system and browser
	#which the surfer is using.

	$osbrcertform returns HTML for the start of a form which generates the key pair and sends it in.
if (!function_exists("maffcertform"))
{
	function maffcertform($action=".",$method="post",$name="genRecForm",$id="keygen")
	{
		$a="<form action=\"$action\" method=\"$method\" name=\"$name\" id=\"$id\">";
		return $a;
	}


	#osbrcertsubmit returns HTML for the submit button (KEYGEN for FF)
if (!function_exists ("maffcertsubmit"))
{
	function maffcertsubmit($name="SPKAC",$challenge="challengePassword")
	{
		$a="<KEYGEN NAME=\"$name\" CHALLENGE=\"$challenge\">";
		return $a;
	}
}
?>